Bug Hunting Session
Bug 72671 - In the launch screen, allow user to type file name to find and filter files rapidly
Summary: In the launch screen, allow user to type file name to find and filter files r...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta1
Hardware: All All
: high enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2013-12-13 08:18 UTC by narayanaras
Modified: 2016-10-04 04:52 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description narayanaras 2013-12-13 08:18:25 UTC
LibreOffice shows a list of recent items in its launch screen.

Allow the user to type the name of the file name he wants. 

Like the "typeahead" feature in a mobile, this feature should find the first file with matching string, starting from the top of the list. 

Note: In another suggestion, I have suggested that the list should be sortable. 

In this feature, LibreOffice should search the sorted list in top-down order for a match.

The first matching file should be highlighted (selected). Now the user can simply press "Enter" to launch that file.

If there are multiple matches, the first match should be selected.
Comment 1 narayanaras 2013-12-13 08:22:00 UTC
[changed to "enhancement"]

BTW this "type to find" feature is provided in browsers like FireFox.

FF requires pressing of / key to trigger the search mode.
That is not needed here. Just allow the user to start typing.
Comment 2 Joel Madero 2013-12-22 16:28:54 UTC
Thank you for reporting this enhancement request! I can confirm that this is a valid enhancement request on:
Version: 4.3.0.0.alpha0+Build ID: daa57a101a20e0b37db7090796ad002b8d192b9b
Date:   Sun Dec 15 23:07:57 2013 +0100 
Platform: Ubuntu Linux 13.10 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm the enhancement request I am marking as:

New (confirmed)
Enhancement
High - with our increased recent documents usability, this would be pretty cool feature


Kendy - I was told you may be the person to cc on this one, apologies for the noise if you're not :)

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 3 Heiko Tietze 2016-09-30 07:25:52 UTC
The recently introduced start center should solve your use case. However, the decision was made to not have a search in this dialog. => WONTFIX 

(sorry for the late and negative reply)